classification
Title: Deprecation notice on inspect.getargvalues() is incorrect
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.7, Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: berker.peksag, docs@python, mbussonn, ncoghlan, yselivanov
Priority: normal Keywords:

Created on 2016-11-27 13:07 by ncoghlan, last changed 2017-03-24 23:50 by ncoghlan. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 122 merged mbussonn, 2017-02-15 16:54
PR 243 merged berker.peksag, 2017-02-22 22:08
PR 244 merged berker.peksag, 2017-02-22 22:10
Messages (6)
msg281824 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2016-11-27 13:07
inspect.getargvalues() and inspect.formatargvalues() were deprecated in Python 3.5 as part of implementing issue 20438

This is incorrect, as these are *frame* introspection related functions, not callable introspection ones. The documentation and implementation layout is confusing though, as they're interleaved with the callable introspection operations.
msg288333 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2017-02-22 05:45
New changeset 0899b9809547ec2894dcf88cf4bba732c5d47d0d by Berker Peksag in branch 'master':
bpo-28814: Undeprecate inadvertently deprecated inspect functions. (#122)
https://github.com/python/cpython/commit/0899b9809547ec2894dcf88cf4bba732c5d47d0d
msg288456 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2017-02-23 15:46
Thanks mbusson, berker.peksag!
msg288466 - (view) Author: Matthias Bussonnier (mbussonn) * Date: 2017-02-23 17:09
Thanks Nick for finding this !
msg290421 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2017-03-24 23:50
New changeset 0246422b974b1a0c50dd30b0e1a1138674ef87a5 by Nick Coghlan (Berker Peksag) in branch '3.5':
bpo-28814: Undeprecate inadvertently deprecated inspect functions. (#122) (#244)
https://github.com/python/cpython/commit/0246422b974b1a0c50dd30b0e1a1138674ef87a5
msg290424 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2017-03-24 23:50
New changeset 2197eac6104311472f200645bc844adb46444b10 by Nick Coghlan (Berker Peksag) in branch '3.6':
bpo-28814: Undeprecate inadvertently deprecated inspect functions. (#122) (#243)
https://github.com/python/cpython/commit/2197eac6104311472f200645bc844adb46444b10
History
Date User Action Args
2017-03-24 23:50:35ncoghlansetmessages: + msg290424
2017-03-24 23:50:19ncoghlansetmessages: + msg290421
2017-02-23 17:09:07mbussonnsetmessages: + msg288466
2017-02-23 15:46:55ncoghlansetstatus: open -> closed
resolution: fixed
messages: + msg288456

stage: patch review -> resolved
2017-02-22 22:10:11berker.peksagsetpull_requests: + pull_request208
2017-02-22 22:08:02berker.peksagsetpull_requests: + pull_request206
2017-02-22 05:45:53berker.peksagsetmessages: + msg288333
2017-02-21 07:39:39berker.peksagsetnosy: + berker.peksag

stage: needs patch -> patch review
2017-02-15 16:56:04mbussonnsetnosy: + mbussonn
2017-02-15 16:54:26mbussonnsetpull_requests: + pull_request83
2016-11-27 13:07:32ncoghlancreate